# Project basic info
set(PROJECT_NAME "LDC1612")
set(VERSION_MAJOR 1)
set(VERSION_MINOR 0)
set(VERSION_PATCH 0)
set(VERSION "V${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
string(TIMESTAMP BUILD_DATE "%Y-%m-%d")

# 编译条件（如IIC类型等）
set(IIC_TYPE "AutoDetectDriveCurrent")
# set(IIC_TYPE "HW-IIC")

# 其它自定义宏
add_definitions(-DIIC_TYPE=${IIC_TYPE})
add_definitions(-DPROJECT_VERSION="${VERSION}")
add_definitions(-DBUILD_DATE="${BUILD_DATE}")